'use strict';

var logger = require('./logger')(module);
var Promise = require('bluebird');
var dbResult = require('./db-result');

module.exports = function queueFindJob(q, predicate, raw) {
  logger('queueFindJob: ', predicate);
  return Promise.resolve().then(function () {
    return q.r.db(q.db).table(q.name).filter(predicate).run();
  }).then(function (jobsData) {
    logger('jobsData', jobsData);
    if (raw) {
      return jobsData;
    }
    return dbResult.toJob(q, jobsData);
  });
};