'use strict';

var logger = require('./logger')(module);
var enums = require('./enums');
var queueDb = require('./queue-db');

module.exports = function queueStop(q) {
  var drainPool = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

  logger('queueStop with drain:', drainPool);
  logger('Event: stopping [' + q.id + ']');
  q.emit(enums.status.stopping, q.id);
  return q.pause().then(function () {
    return queueDb.detach(q, drainPool);
  }).then(function () {
    logger('Event: stopped [' + q.id + ']');
    q.emit(enums.status.stopped, q.id);
    return true;
  });
};